# Uses of Class
com.privatejgoodies.forms.layout.ColumnSpec

Packages that use ColumnSpec
Package
Description
com.privatejgoodies.forms.layout

## Uses of ColumnSpec in com.privatejgoodies.forms.layout

Fields in com.privatejgoodies.forms.layout declared as ColumnSpec
Modifier and Type
Field
Description
`static final ColumnSpec`
FormSpecs.`BUTTON_COLSPEC`
Describes a logical horizontal column for a fixed size button.
`static final ColumnSpec`
FormSpecs.`DEFAULT_COLSPEC`
An unmodifiable `ColumnSpec` that determines its preferred width by computing the maximum of all column component preferred widths and its minimum width by computing all column component minimum widths.
`static final ColumnSpec`
FormSpecs.`GLUE_COLSPEC`
An unmodifiable `ColumnSpec` that has an initial width of 0 pixels and that grows.
`static final ColumnSpec`
FormSpecs.`GROWING_BUTTON_COLSPEC`
Describes a logical horizontal column for a growing button.
`static final ColumnSpec`
FormSpecs.`LABEL_COMPONENT_GAP_COLSPEC`
Describes a logical horizontal gap between a label and an associated component.
`static final ColumnSpec`
FormSpecs.`MIN_COLSPEC`
An unmodifiable `ColumnSpec` that determines its width by computing the maximum of all column component minimum widths.
`static final ColumnSpec`
FormSpecs.`PREF_COLSPEC`
An unmodifiable `ColumnSpec` that determines its width by computing the maximum of all column component preferred widths.
`static final ColumnSpec`
FormSpecs.`RELATED_GAP_COLSPEC`
Describes a logical horizontal gap between two related components.
`static final ColumnSpec`
FormSpecs.`UNRELATED_GAP_COLSPEC`
Describes a logical horizontal gap between two unrelated components.
Methods in com.privatejgoodies.forms.layout that return ColumnSpec
Modifier and Type
Method
Description
`static ColumnSpec`
ColumnSpec.`createGap(ConstantSize gapWidth)`
Creates and returns a `ColumnSpec` that represents a gap with the specified `ConstantSize`.
`static ColumnSpec`
ColumnSpec.`decode(String encodedColumnSpec)`
Parses the encoded column specification and returns a ColumnSpec object that represents the string.
`static ColumnSpec`
ColumnSpec.`decode(String encodedColumnSpec, LayoutMap layoutMap)`
Parses the encoded column specifications and returns a ColumnSpec object that represents the string.
`static ColumnSpec[]`
ColumnSpec.`decodeSpecs(String encodedColumnSpecs)`
Parses and splits encoded column specifications using the default `LayoutMap` and returns an array of ColumnSpec objects.
`static ColumnSpec[]`
ColumnSpec.`decodeSpecs(String encodedColumnSpecs, LayoutMap layoutMap)`
Splits and parses the encoded column specifications using the given `LayoutMap` and returns an array of ColumnSpec objects.
`ColumnSpec`
FormLayout.`getColumnSpec(int columnIndex)`
Returns the `ColumnSpec` at the specified column index.
Methods in com.privatejgoodies.forms.layout with parameters of type ColumnSpec
Modifier and Type
Method
Description
`void`
FormLayout.`appendColumn(ColumnSpec columnSpec)`
Appends the given column specification to the right hand side of all columns.
`String`
LayoutMap.`columnPut(String key, ColumnSpec value)`
`void`
FormLayout.`insertColumn(int columnIndex, ColumnSpec columnSpec)`
Inserts the specified column at the specified position.
`void`
FormLayout.`setColumnSpec(int columnIndex, ColumnSpec columnSpec)`
Sets the ColumnSpec at the specified column index.
Constructors in com.privatejgoodies.forms.layout with parameters of type ColumnSpec
Modifier
Constructor
Description
``
`FormLayout(ColumnSpec[] colSpecs)`
Constructs a FormLayout using the given column specifications.
``
`FormLayout(ColumnSpec[] colSpecs, RowSpec[] rowSpecs)`
Constructs a FormLayout using the given column and row specifications.